iconv integrieren in xampp 1.4.16

Alles, was PHP betrifft, kann hier besprochen werden.

iconv integrieren in xampp 1.4.16

Postby bluesky666 » 22. September 2005 13:43

Ich hab ein Problem, bei der Beta zum xampp 1.4.16 ging iconv noch, jetzt hab ich die stable Version runtergeladen und installiert und iconv geht nicht mehr, wie kann ich das Modul integrieren brauche es für ampache damit der läuft.

Gruß Helge
bluesky666
 
Posts: 8
Joined: 09. February 2005 06:48

Postby Wiedmann » 22. September 2005 13:53

Konsole/PHP/Perl?
Wiedmann
AF Moderator
 
Posts: 17106
Joined: 01. February 2004 12:38
Location: Stuttgart / Germany

Postby bluesky666 » 22. September 2005 13:57

okay, ich denk ich hab das Problem gefunden, bei php 5.05 ist iconv dabei, bei php 4.4.0 nicht *g*, das blöde ist das ich bei Squirrelmail einen Fehler habe wenn ich php 5 benutze aber das brauche ich für ampache, mal schauen ob es da nen patch gibt fürs Squirrelmail
bluesky666
 
Posts: 8
Joined: 09. February 2005 06:48

Postby Wiedmann » 22. September 2005 14:00

Ups. da hab ich ja eigentlich eine blöde Frage gestellt. Ist ja das PHP-Forum hier...

bei php 5.05 ist iconv dabei, bei php 4.4.0 nicht

Kannst du mal schnell das configure von PHP4 posten? (siehe phpinfo)
Wiedmann
AF Moderator
 
Posts: 17106
Joined: 01. February 2004 12:38
Location: Stuttgart / Germany

Postby bluesky666 » 22. September 2005 14:30

hier bitte, hab grad nachgeschaut also es ist nur bei php5 dabei

'./configure' '--prefix=/opt/lampp' '--with-apxs2=/opt/lampp/bin/apxs' '--with-config-file-path=/opt/lampp/etc' '--with-mysql=/opt/lampp' '--disable-debug' '--enable-bcmath' '--enable-calendar' '--enable-ctype' '--enable-dbase' '--enable-discard-path' '--enable-exif' '--enable-filepro' '--enable-force-cgi-redirect' '--enable-ftp' '--enable-gd-imgstrttf' '--enable-gd-native-ttf' '--with-ttf' '--enable-magic-quotes' '--enable-memory-limit' '--enable-safe-mode' '--enable-shmop' '--enable-sigchild' '--enable-sysvsem' '--enable-sysvshm' '--enable-track-vars' '--enable-trans-sid' '--enable-versioning' '--enable-wddx' '--enable-yp' '--with-ftp' '--with-gdbm=/opt/lampp' '--with-jpeg-dir=/opt/lampp' '--with-png-dir=/opt/lampp' '--with-tiff-dir=/opt/lampp' '--with-freetype-dir=/opt/lampp' '--without-xpm' '--with-zlib=yes' '--with-zlib-dir=/opt/lampp' '--with-openssl=/opt/lampp' '--with-expat-dir=/opt/lampp' '--enable-xslt' '--with-xslt-sablot=/opt/lampp' '-with-ming=/opt/lampp' '--with-dom=/opt/lampp' '--with-ldap=/opt/lampp' '--with-ncurses=/opt/lampp' '--with-gd' '--with-imap-dir=/opt/lampp' '--with-imap-ssl' '--with-imap=/opt/lampp' '--with-gettext=/opt/lampp' '--with-mssql=/opt/lampp' '--with-interbase=shared,/opt/interbase' '--with-mysql-sock=/opt/lampp/var/mysql/mysql.sock' '--with-oci8=shared' '--with-mcrypt=/opt/lampp' '--with-mhash=/opt/lampp' '--enable-sockets' '--enable-mbstring=all' '--with-curl=/opt/lampp' '--enable-mbregex' '--enable-zend-multibyte' '--enable-exif' '--enable-pcntl' '--enable-dbx' '--with-mime-magic' '--with-bz2=/opt/lampp' '--with-pgsql=shared,/opt/lampp/postgresql'

Gruß Helge
bluesky666
 
Posts: 8
Joined: 09. February 2005 06:48

Postby Oswald » 22. September 2005 15:21

Huhu Helge!

In PHP5 ist iconv standardmäßig aktiviert, bei PHP4 nicht. Darum ist es bei dem einen dabei und bei dem anderen nicht.

Ich hab's nun auch für PHP4 aktiviert. In der nächsten Version von XAMPP wird also iconv auch im PHP4 klappen.

Wenns mit Squirrel und PHP5 absolut nicht klappen will, dann kann ich Dir auch eine gepatchte 1.4.16 mit PHP4+iconv geben.

Liebe Grüße
Oswald
User avatar
Oswald
Apache Friends
 
Posts: 2718
Joined: 26. December 2002 19:51
Location: Berlin, Germany
Operating System: Linux

Postby Oswald » 22. September 2005 15:41

Schnickschnack! Hier findest Du ein entsprechendes Upgrade-Paket:

http://www.apachefriends.org/files/linux/1.4.16/xampp-linux-upgrade-1.4.16-1.4.17-beta1.tar.gz

Einfach wie ein gewöhnliches Upgrade einspielen und gut ist.

Liebe Grüße
Oswald
User avatar
Oswald
Apache Friends
 
Posts: 2718
Joined: 26. December 2002 19:51
Location: Berlin, Germany
Operating System: Linux

Postby 1Euro » 22. September 2005 15:42

mal so ne frage was ist der Unterschied der beiden Versionen?
1Euro
Dies ist meine Welt!!!
1Euro
 
Posts: 188
Joined: 11. September 2004 17:50

Postby Oswald » 22. September 2005 15:45

Hallo 1Euro!

In der neuen Version ist in PHP4 die iconv-Erweiterung aktiviert.

Liebe Grüße
Oswald
User avatar
Oswald
Apache Friends
 
Posts: 2718
Joined: 26. December 2002 19:51
Location: Berlin, Germany
Operating System: Linux

Postby 1Euro » 22. September 2005 15:50

warum ist sie erst Beta *dummfrag*
Dies ist meine Welt!!!
1Euro
 
Posts: 188
Joined: 11. September 2004 17:50

Postby Oswald » 22. September 2005 15:59

Hallo 1Euro!

Weil es keine richtige XAMPP-Release ist. Irgendeinen Namen muss die Version haben. Und nach einer "finalen" Version kommt in der Regel als nächstes eine Beta-Version. Und aus dieser Beta wird dann eines Tage wieder eine finale Version.

Liebe Grüße
Oswald
User avatar
Oswald
Apache Friends
 
Posts: 2718
Joined: 26. December 2002 19:51
Location: Berlin, Germany
Operating System: Linux

Postby 1Euro » 22. September 2005 17:26

Hallo,
ok vielen Dank für deine Erklärung! Ich freu mich schon auf die nächste Version!^^

1Euro
Dies ist meine Welt!!!
1Euro
 
Posts: 188
Joined: 11. September 2004 17:50

Postby bluesky666 » 22. September 2005 20:54

Hallo Kai

cooler Support, ich werde es gleich mal installieren, danke, also Squirrelmail gibt halt folgende Fehlermeldung bei PHP 5.0.5 aus:

Fatal error: Only variables can be passed by reference in /opt/lampp/htdocs/squ/functions/imap_messages.php on line 480

Ist echt ein sehr Gutes Paket was ihr da zusammen geschnürt habt mit Xampp !!!

Hattes bis jetzt auch keine Probleme die nicht lösbar waren nur das ich keine Ahnung vom selber compilieren von Paketen für Xampp habe.

Läuft aber sehr stabil das ganze hatte noch keine Fehler entdeckt bis jetzt

Viele Grüße und weiter so !!!

Helge
bluesky666
 
Posts: 8
Joined: 09. February 2005 06:48

Postby King_S » 24. September 2005 11:28

Danke für das Upgrade Paket, ich hatte sowas schon gesucht :D
King_S
 
Posts: 8
Joined: 29. July 2005 19:21
Location: Wetter


Return to PHP

Who is online

Users browsing this forum: No registered users and 3 guests